MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0026831Open CASCADE[OCCT] OCCT:Configurationpublic2015-11-02 16:162016-04-20 15:51
Reporterbugmaster 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.0.0Fixed in Version[OCCT] 7.0.0 
Summary0026831: Configuration - define HashCode for pthread_t on Android
Descriptionpthread_t is defined on Android as "long int" while on Linux it is "unsigned long int" thus HashCode is missing on Android.

This issue has been introduced by warning fix in 0026581.
Steps To ReproduceN/A
TagsNo tags attached.
Test case number
Attached Files

- Relationships
child of 0026581closedbugmaster Eliminate compile warnings obtained by building occt with vc14: 'type cast' conversion 

-  Notes
(0047729)
git (administrator)
2015-11-02 17:50

Branch CR26831 has been created by ibs.

SHA-1: 6b46359e77de9cc3784d6e0705667ed7172ff568


Detailed log of new commits:

Author: ibs
Date: Mon Nov 2 17:41:04 2015 +0300

    0026831: Configuration - define HashCode for pthread_t on Android
    
    explicit cast Standard_ThreadId to Standard_Size
(0047730)
ibs (developer)
2015-11-02 17:51

dear kgv, please review CR26831 OCCT git branch
(0047734)
kgv (developer)
2015-11-02 18:00
edited on: 2015-11-02 18:00

Dear bugmaster,

please check that patch does not introduce the warning fixed within 0026581 when using vc14 compiler.
Testing is not needed - only compilation and warnings should be checked on supported platforms.

(0047788)
bugmaster (administrator)
2015-11-05 10:47
edited on: 2015-11-05 10:49

vc10, vc11, vc12 - there is no warnings.
vc14 - 3 warnings
http://jenkins-test-03.nnov.opencascade.com:8080/job/IR-2015-10-29+IR-2015-10-29-OCCT-Windows-64-VC14-opt-compile/6/ [^]
but compilation does not show warning fixed within 0026581 when using vc14 compiler

(0053175)
git (administrator)
2016-04-17 14:26

Branch CR26831 has been deleted by kgv.

SHA-1: 6b46359e77de9cc3784d6e0705667ed7172ff568

- Related Changesets
occt: master 0123185e
Timestamp: 2015-11-02 14:41:04
Author: ibs
Committer: bugmaster
Details ] Diff ]
0026831: Configuration - define HashCode for pthread_t on Android

explicit cast Standard_ThreadId to Standard_Size
mod - src/BOPCol/BOPCol_Parallel.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-11-02 16:16 bugmaster New Issue
2015-11-02 16:16 bugmaster Assigned To => ibs
2015-11-02 17:33 bugmaster Description Updated View Revisions
2015-11-02 17:33 bugmaster Status new => confirmed
2015-11-02 17:33 bugmaster Status confirmed => assigned
2015-11-02 17:39 ibs Status assigned => new
2015-11-02 17:39 ibs Summary OCCT for android is not compiled on Windows and Linux platform => Configuration - define HashCode for pthread_t on Android
2015-11-02 17:39 ibs Description Updated View Revisions
2015-11-02 17:50 git Note Added: 0047729
2015-11-02 17:51 ibs Note Added: 0047730
2015-11-02 17:51 ibs Assigned To ibs => kgv
2015-11-02 17:51 ibs Status new => resolved
2015-11-02 17:51 ibs Steps to Reproduce Updated View Revisions
2015-11-02 17:56 kgv Relationship added child of 0026581
2015-11-02 17:56 kgv Product Version 6.9.1 =>
2015-11-02 18:00 kgv Note Added: 0047734
2015-11-02 18:00 kgv Assigned To kgv => bugmaster
2015-11-02 18:00 kgv Status resolved => reviewed
2015-11-02 18:00 kgv Description Updated View Revisions
2015-11-02 18:00 kgv Steps to Reproduce Updated View Revisions
2015-11-02 18:00 kgv Note Edited: 0047734 View Revisions
2015-11-05 10:47 bugmaster Note Added: 0047788
2015-11-05 10:47 bugmaster Status reviewed => tested
2015-11-05 10:47 bugmaster Note Edited: 0047788 View Revisions
2015-11-05 10:49 bugmaster Note Edited: 0047788 View Revisions
2015-11-06 12:35 bugmaster Changeset attached => occt master 0123185e
2015-11-06 12:35 bugmaster Status tested => verified
2015-11-06 12:35 bugmaster Resolution open => fixed
2016-04-17 14:26 git Note Added: 0053175
2016-04-20 15:42 aiv Fixed in Version => 7.0.0
2016-04-20 15:51 aiv Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker